Slony-I 2.2.10 Documentation
Prev | Fast Backward | Chapter 8. Schema schemadoc | Fast Forward | Next

# 8.65. failednode3(p_seq_no integer, p_backup_node integer, p_failed_node bigint)

Function Properties

Language: PLPGSQL

Return Type: integer

    declare

    begin
    	-- ----
    	-- Grab the central configuration lock
    	-- ----
    	lock table sl_config_lock;

    	perform failoverSet_int(p_failed_node,
    		p_backup_node,p_seq_no);

    	notify "_schemadoc_Restart";
        return 0;
    end;

Prev | Home | Next
failednode2(p_failed_nodes integer, p_ev_seqno integer, p_backup_node bigint, p_failed_node integer[]) | Up | failoverset_int(p_last_seqno integer, p_backup_node integer, p_failed_node bigint)